/*
 * 
 */
package com.bankaudit.service;

import com.bankaudit.dto.ChangePasswordDto;
import com.bankaudit.model.User;
import com.bankaudit.model.UserResetPassword;

/**
 * {@link UserResetPasswordService} interface define the CRUD methods for {@link User} class
 * object.
 *
 * @author amit.patel
 * @version 1.0
 */
public interface UserResetPasswordService {

	public UserResetPassword createUserResetPassword(Integer legalEntityCode,String userId) throws Exception;

	public void sendEmail(String emailId,String token);
	
	public String validateLink(ChangePasswordDto changePasswordDto);
	
	public String getEmailIdforResetPassword(Integer legalEntityCode,String userId);
	
	public void resetPassword(ChangePasswordDto changePasswordDto);
}
